HelpHistoryModelEvent
Keywords: javax.help.event.HelpHistoryModelEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.event
Class HelpHistoryModelEvent

    java.lang.Object
      java.util.EventObject
          javax.help.event.HelpHistoryModelEvent

All Implemented Interfaces:
  java.io.Serializable

public class HelpHistoryModelEvent
extends java.util.EventObject

Notifies interested parties that a change in a Help History Model source has occurred.

See Also:
  Serialized Form

Constructor Summary
`HelpHistoryModelEvent(java.lang.Object source, boolean previous, boolean next)` Represents a history change

Method Summary
`boolean` | `isNext()` Returns if action "next" is allowed
`boolean` | `isPrevious()` Returns if action "previous" is allowed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HelpHistoryModelEvent

    public HelpHistoryModelEvent(java.lang.Object source,
                                 boolean previous,
                                 boolean next)

  Represents a history change

Parameters:
  `source` - The source for this event.
  `previous` - If true a previous action is allowed.
  `next` - If true a next action is allowed.
Throws:
  `java.lang.IllegalArgumentException` - if source is null.

Method Detail

### isPrevious

    public boolean isPrevious()

  Returns if action "previous" is allowed.

  Returns:
    True if action is allowed, false otherwise.

### isNext

    public boolean isNext()

  Returns if action "next" is allowed

  Returns:
    True if action is allowed, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD